<template>
  <MonitorTable columnsType="fanlocal_monitor" :dataSource="dataSource" design-scope="fanlocal-monitor" title="局部通风机监测" />
</template>

<script setup lang="ts">
  import { onBeforeMount, computed } from 'vue';
  // import Bar from '/@/components/chart/Bar.vue';
  import MonitorTable from '../comment/MonitorTable.vue';
  import { initWebSocket, getRecordList } from '/@/hooks/web/useVentWebSocket';
  const dataSource = computed(() => {
    return [...getRecordList()].reverse() || [];
  });
  onBeforeMount(() => {
    const sendVal = JSON.stringify({ pagetype: 'normal', devicetype: 'fan', orgcode: '', ids: '', systemID: '' });
    initWebSocket(sendVal);
  });
</script>
<style scoped lang="scss"></style>
